%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define srcname adns-python

Name:           python-adns
Version:        1.2.1
Release:        23%{?dist}

Summary:        Python interface for the GNU adns library
Group:          Development/Languages
# Source code does not specify a version of the GPL.
License:        GPL+
URL:		http://code.google.com/p/adns-python/
Source0:	http://adns-python.googlecode.com/files/adns-python-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel, adns-devel >= 1.2

%global _description\
The adns module provides an interface to the GNU ADNS asynchronous DNS\
resolver library.

%description %_description

%package -n python2-adns
Summary: %summary
%{?python_provide:%python_provide python2-adns}

%description -n python2-adns %_description

%prep
%setup -q -n %{srcname}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python2-adns
%defattr(-,root,root)
%doc GPL README
%{python_sitearch}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.1-22
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-21
- Python 2 binary package renamed to python2-adns
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.1-4
- Rebuild for Python 2.6

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.1-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-2
- Autorebuild for GCC 4.3

* Mon Oct  1 2007 Radek Vokál <rvokal@redhat.com> - 1.2.1-1
- upgrade to 1.2.1
- fixed URL and Source

* Thu Dec 21 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.1.0-5
- Rebuild for new Python.
- Some minor specfile cleanups to meet packaging guidelines;
  I hope nobody minds.

* Tue Sep 26 2006 Radek Vokal <rvokal@redhat.com> 1.1.0-4
- rebuilt

* Tue May  9 2006 Mihai Ibanescu <misa@redhat.com> 1.1.0-3
- added patch to make it compile with adns >= 1.2 (adns__rrt_typemask was
  renamed to adns_rrt_typemask). The patch also adds support for SRV records
  (adns 1.2 has that, just need them exposed in the bindings).

* Wed Apr 13 2005 Colin Charles <colin@fedoraproject.org> - 1.1.0-1
- new upstream 1.1.0 release

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 18 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:1.0.0-0.fdr.3
- Fixed Source URL
- wipe RPM_BUILD_ROOT before install
- Add GPL to packaged documentation

* Wed Dec 24 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.2
- Added missing build dependency on python-devel
- Ghosted *.pyo

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.1
- Initial Fedora release.
